ISOQUERY(1)

NAME
isoquery - Rechercher et afficher divers codes ISO (pays, langues, etc.)

SYNOPSIS

isoquery [OPTION …] [ISO codes]

DESCRIPTION

Ce manuel décrit brièvement la commande isoquery. Elle permet de créer un tableau à partir des codes de la norme ISO fournis dans le paquet iso-codes. Elle parcourt les fichiers JSON et montre tous les codes ISO ou simplement les entrées correspondantes, si elles sont précisées sur la ligne de commande. De plus, toutes les traductions disponibles des normes ISO sont accessibles.

OPTIONS

Ce programme suit la syntaxe usuelle des commandes GNU, avec les options longues commençant par deux tirets (« - »). isoquery prend en charge les options suivantes :

-i, --iso=NORME
    La norme ISO à utiliser. Valeurs disponibles : 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (3166-1 par défaut)

-p, --pathname=CHEMIN
    Utiliser un autre CHEMIN comme préfixe pour les fichiers de données (/usr/share/iso-codes/json par défaut)

-l, --locale=LOCALE
    Utiliser cette LOCALE pour l’affichage

-n, --name
    Nom des codes fournis (par défaut)

-o, --official_name
    Nom officiel correspondant aux codes demandés. Il peut être identique à --name. Cette option n’est utile que pour ISO 3166-1

-c, --common_name
    Nom courant correspondant aux codes demandés. Il peut être identique à --name. Cette option n’est utile que pour ISO 639-2, 639-3 et 3166-1

-0, --null
    Séparer les entrées avec un caractère NULL au lieu d’un retour à la ligne

-f, --flag
    Afficher les drapeaux de pays avec les lettres symboles des indicateurs régionaux (s’applique uniquement à l’ISO 3166-1)

-h, --help
    Afficher un résumé des options

-v, --version
    Afficher la version du programme et les renseignements de copyright

EXEMPLES

Si appelée sans option de ligne de commande, isoquery affichera toute la table de codes ISO 3166-1. Les trois premières colonnes contiennent les codes alpha-2, alpha-3 et numérique associés au pays de la quatrième colonne.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Si vous ne voulez que quelques pays, indiquez n’importe quel code des trois premières colonnes afin de restreindre l’affichage.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Si vous voulez la traduction des noms de pays, indiquez simplement la LOCALE dans laquelle vous désirez obtenir la sortie. Veuillez remarquer que le nom anglais d’origine sera affiché si aucune traduction n’est disponible pour la LOCALE indiquée.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

If your terminal supports the unicode regional indicator symbol letters, you can use the --flag command line option. Those letters can be displayed as a country flag.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Tout ce qui précède fonctionne aussi pour les différentes normes ISO, ce qui vous permet de basculer vers la norme ISO 3166-2 plus complète en utilisant l’option de ligne de commande --iso. Les colonnes contiennent le code ISO 3166-2, le type de sous-ensemble (par exemple State ou Province), le parent et le nom. La troisième colonne (parent) peut être vide.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Les codes supprimés de ISO 31661 sont disponibles dans ISO 3166-3. Les colonnes contiennent le code alpha-3, alpha-4, numérique, un commentaire, la date de retrait et le nom. Les colonnes du code numérique, du commentaire et de la date de retrait peuvent être vides.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Pour ISO 639-2, les trois premières colonnes contiennent le code alpha-3, le code bibliographique et le code apha-2. Les deuxième et troisième colonnes peuvent être vides.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Vous pouvez restreindre l’affichage en indiquant seulement quelques codes. De plus, l’option pour obtenir les noms traduits est disponible.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Pour ISO 639-3, les colonnes affichées sont le code alpha-3, le champ d’application, le type, le code alpha-2, le code bibliographique et le nom de la langue. Les codes alpha-2 et bibliographiques peuvent être vides.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

ISO 639-5 est aussi disponible. Les colonnes affichées sont le code alpha-3 et le nom.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

You can get selected translations of currency names from the ISO 4217 standard by using the following command. The first of the columns is the alpha-3 code, and the second one is the numerical code assigned to the currency. The name of the currency is shown in the third column.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

If you need to get script names, you can use the ISO 15924 table. The first of the columns is the alpha-4 code, and the second one is the numerical code assigned to the script. The name of the script is shown in the third column.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FICHIERS

Par défaut, les fichiers JSON fournis dans le paquet iso-codes seront utilisés.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTEUR

Dr. Tobias Quathamer

TRADUCTION

Cette traduction est maintenue à l’aide de l’outil po4a <URL:*https://po4a.org/*> par l’équipe francophone de traduction de Debian.

Elle est maintenue par David Prévot et les membres de la liste depuis mai 2011.

Veuillez signaler toute erreur de traduction en écrivant à ou par un rapport de bogue sur le paquet isoquery.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C 1 isoquery ».